Returns the sensitive value

- « SensitiveParameterValue::__debugInfo

- Predefined Attributes »

- PHP Manual
- SensitiveParameterValue
- Returns the sensitive value

# SensitiveParameterValue::getValue

(PHP 8 >= 8.2.0)

SensitiveParameterValue::getValue — Returns the sensitive value

### Description

public SensitiveParameterValue::getValue(): mixed

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

The sensitive value.

### Examples

Example #1 SensitiveParameterValue::getValue() example

    <?php$s = new \SensitiveParameterValue('secret');echo "The protected value is: ", $s->getValue(), "\n";?>

The above example will output:

    The protected value is: secret